Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707252 - sci-astronomy/esomidas-17.02-r1 : fails to build with -fno-common or gcc-10
Summary: sci-astronomy/esomidas-17.02-r1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci Astronomy Herd
URL:
Whiteboard: ~arch only
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 18:14 UTC by Toralf Förster
Modified: 2021-02-20 19:31 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.89 KB, text/plain)
2020-01-29 18:14 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,173.20 KB, text/plain)
2020-01-29 18:14 UTC, Toralf Förster
Details
environment (environment,98.49 KB, text/plain)
2020-01-29 18:14 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,18.79 KB, application/x-bzip)
2020-01-29 18:14 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,1.76 KB, application/x-bzip)
2020-01-29 18:14 UTC, Toralf Förster
Details
sci-astronomy:esomidas-17.02-r1:20200129-143632.log.bz2 (sci-astronomy:esomidas-17.02-r1:20200129-143632.log.bz2,107.09 KB, application/x-bzip)
2020-01-29 18:14 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,133.15 KB, application/x-bzip)
2020-01-29 18:14 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 18:14:12 UTC
a - ytbt.o
rm -f __*
x86_64-pc-linux-gnu-ranlib /var/tmp/portage/sci-astronomy/esomidas-17.02-r1/work/17FEBpl1.2/lib/libmidas.a 
/var/tmp/portage/sci-astronomy/esomidas-17.02-r1/work/17FEBpl1.2/local/make_shared -o libmidas.so.8.1 *.o -lm  -ltirpc 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: stc.o:(.bss+0x10): multiple definition of `ptr1'; genftoc.o:(.bss+0x18): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: stc.o:(.bss+0x8): multiple definition of `ptr2'; genftoc.o:(.bss+0x10): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1-libressl-20200125-183534

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK 8.242_p08 [openjdk-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 13:26:23 +0000

emerge -qpvO sci-astronomy/esomidas
[ebuild  N    ] sci-astronomy/esomidas-17.02-r1  USE="(libtirpc)"
Comment 1 Toralf Förster gentoo-dev 2020-01-29 18:14:15 UTC
Created attachment 608202 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 18:14:18 UTC
Created attachment 608204 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 18:14:21 UTC
Created attachment 608206 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 18:14:24 UTC
Created attachment 608208 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 18:14:26 UTC
Created attachment 608210 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-29 18:14:29 UTC
Created attachment 608212 [details]
sci-astronomy:esomidas-17.02-r1:20200129-143632.log.bz2
Comment 7 Toralf Förster gentoo-dev 2020-01-29 18:14:32 UTC
Created attachment 608214 [details]
temp.tbz2
Comment 8 Sam James archtester gentoo-dev Security 2020-10-31 20:39:36 UTC
This one isn't happening. I started trying. Even Debian gave up eventually:

First
* Explicitly declare structures as 'extern' in header file 
then
* Use -fcommon CFLAGS to workaround double definition errors
then finally
* Accept F77 and CC to be set from envvar
* Use gcc-9 to compile
Comment 9 Larry the Git Cow gentoo-dev 2021-02-20 19:31:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64333f0eae294035513550f9339567c678d541d0

commit 64333f0eae294035513550f9339567c678d541d0
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-20 19:31:17 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-20 19:31:17 +0000

    sci-astronomy/esomidas: Apply gcc-10 workaround
    
    Closes: https://bugs.gentoo.org/707252
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 sci-astronomy/esomidas/esomidas-17.02-r1.ebuild | 2 ++
 1 file changed, 2 insertions(+)